Robotics Service Bus - Bug #2575
Unable to build rsb-spread 0.13 with gcc (GCC) 6.1.1 20160602
06/21/2016 06:45 PM - N. Koster

Status: Resolved Start date: 06/21/2016
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Spread Connector Estimated time: 0.00 hour
Target version: rsb-0.15

Description

Fix attached.

Build output {{collapse(HERE)

Started by user nkoester

Building in workspace /media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace
> git rev-parse --is-inside-work-tree # timeout=10

Fetching changes from the remote Git repository

> git config remote.origin.url https://code.cor-lab.org/qit/rsb.git.spread-cpp # timeout=10

Cleaning workspace
> git rev-parse --verify HEAD # timeout=10
Resetting working tree

> git reset --hard # timeout=10

> git clean fdx+#timeout=10

04/10/2024 1/6


https://code.cor-lab.org/git/rsb.git.spread-cpp
https://code.cor-lab.org/git/rsb.git.spread-cpp
https://code.cor-lab.org/git/rsb.git.spread-cpp

- The C compiler identification is GNU 6.1.1
-- The CXX compiler identification is GNU 6.1.1

-- Check for working C compiler: /usr/bin/cc

-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info

-- Detecting C compiler ABlI info - done

-- Detecting C compile features

-- Detecting C compile features - done

-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- Detecting CXX compile features

-- Detecting CXX compile features - done

-- Looking for pthread.h

-- Looking for pthread.h - found

-- Looking for pthread_create

-- Looking for pthread_create - not found

-- Looking for pthread_create in pthreads

-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread

-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE

-- Boost version: 1.60.0

-- Found the following Boost libraries:

-- date_time

-- thread

-- filesystem

-- signals

-- program_options

-- system

-- regex

-- chrono

-- atomic

-- RSC version: 0.13.0

-- RSC libraries: rsc0.13

-- RSC runtime library dirs: /media/local_data/nkoester/vol/ltm/releases/trusty/ltm-nightly/share/rsc0.13/../../bin

-- RSC CMake module path:

/media/local_data/nkoester/vol/ltm/releases/trusty/Iltm-nightly/share/rsc0.13/../../share/rsc0.13/cmake/Modules

-- Performing Test CHECK_CXX_FLAG_pipe

-- Performing Test CHECK_CXX_FLAG_pipe - Success
-- Performing Test CHECK_CXX_FLAG_Wall

-- Performing Test CHECK_CXX_FLAG_Wall - Success
-- Performing Test CHECK_CXX_FLAG_Wextra

-- Performing Test CHECK_CXX_FLAG_Wextra - Success
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS - Success
-- Boost version: 1.60.0

-- Found the following Boost libraries:

-- regex

-- date_time

-- program_options

-- system

-- Found BoostUUID: /usr/include

-- Boost version: 1.60.0

-- Found the following Boost libraries:

- regex

- date_time

- program_options

- system

-- RSB version: 0.13.2

-- RSB libraries: rsb0.13
-- RSB runtime library dirs:
/media/local_data/nkoester/vol/ltm/releases/trusty/Itm-nightly/share/rsb0.13/../../bin;/media/local_data/nkoester/vol/ltm/releases/trusty/It
tm-nightly/share/rsc0.13/../../bin
-- This is a git repository
-- Searching for spread library with name libspread.so
-- Spread version 4.0 requested
-- Found spread version: 4.4.0
-- Found Spread: /media/local_data/nkoester/vol/ltm/releases/trusty/ltm-nightly/lib/libspread.so (Required is at least version "4.0")
-- protoc does not support matlab
-- Found PROTOBUF: /lib64/libprotobuf.so
-- Google Mock download URL changed. Forcing new download.
-- Downloading a fresh Google Mock archive as no old one was found.
-- GMOCK_ALL_FILE: gmock-1.7.0/src/gmock-all.cc
-- GMOCK_ALL_FILE: gmock-1.7.0/gtest/src/gtest-all.cc
-- GMOCK_BASE_DIR:
/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build/gmock-1.7.0
-- Google Mock successfully installed
-- Generating package for generator: TGZ
-- Configuring done
-- Generating done
CMake Warning:
Manually-specified variables were not used by the project:
CMAKE_INSTALL_LIBDIR

Pythoninterp_DIR

RSBProtocol_DIR

RSC-CMake_DIR

Spread_DIR

-- Build files have been written to:

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/build

+ make -j1

Scanning dependencies of target gmock

[ 3%] Building CXX object CMakeFiles/gmock.dir/gmock-1.7.0/src/gmock-all.cc.o

[ 7%] Building CXX object CMakeFiles/gmock.dir/gmock-1.7.0/gtest/src/gtest-all.cc.o

[ 10%] Linking CXX static library build/libgmock.a

[ 10%] Built target gmock

Scanning dependencies of target rsbspread

[ 14%)] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/Plugin.cpp.o

[ 17%] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/SpreadMessage.cpp.o

[ 21%)] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/SpreadGroup.cpp.o

[ 25%] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/SpreadConnection.cpp.o

[ 28%] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/RefCountingSpreadConnection.cpp.o

[ 32%] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/SpreadWrapper.cpp.o

[ 35%] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/MembershipManager.cpp.o

[ 839%] Building CXX object src/CMakeFiles/rsbspread.dir/rsb/transport/spread/Assembly.cpp.o

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/src/rsb/transport/spread/Asse

bly.cpp: In member function ‘bool rsb::transport::spread::AssemblyPool::isPruning() const’:

/media/local_data/nkoester/jenkins/ltm-system/jobs/rsb-spread-cpp-0.13-toolkit-ltm-nightly/workspace/src/rsb/transport/spread/Asse

bly.cpp:142:12: error: cannot convert ‘const TaskPtr {aka const boost::shared_ptr<rsc::threading::Task>}’ to ‘bool’ in return
return pruningTask;

make?: * [src/CMakeFiles/rsbspread.dir/build.make:231: src/CMakeFiles/rsbspread.dir/rsb/transport/spread/Assembly.cpp.o]
Error 1
make!: [CMakeFiles/Makefile2:123: src/CMakeFiles/rsbspread.dir/all] Error 2
make: ** [Makefile:161: all] Error 2

Build step 'Execute shell' marked build as failure

Finished: FAILURE

1

more info, please refer to issue #2574

Subtasks:
Bug # 2576: Error during build of rsb-spread 0.13: no matching function for call

Resolved

Associated revisions

Revision 56b44885 - 06/21/2016 07:47 PM - N. Késter

Backport: Added explicit bool conversion in src/rsb/transport/spread/Assembly.cpp

refs #2575

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

(cherry picked from commit e9284696a2{32fe1cadbd243a6db6327dedd9183)

Revision 00f7df66 - 06/21/2016 07:47 PM - N. Késter

Added explicit bool conversion in src/rsb/transport/spread/Assembly.cpp

fixes #2575

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 39834a7c - 06/21/2016 07:55 PM - N. Koster

Backport: Added explicit bool conversion in src/rsb/transport/spread/Assembly.cpp

refs #2575

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

(cherry picked from commit 00f7df6621fe1a6aa9c042c33bc1cebdal3ec3c33)

History

#1 - 06/21/2016 07:50 PM - N. Koster
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-spread-cpp|00f7df6621fe1abaa9c042c33bc1cebdal3ec3c33.

#2 - 06/21/2016 08:20 PM - J. Moringen
- Assignee set to J. Moringen

- Target version set to rsb-0.15

Files

0001-Add-explicit-bool-conversion.patch 825 Bytes 06/21/2016 N. Késter
